Skip to main content
GET
Retrieve a Pix Transfer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format).

Path Parameters

transfer_id
string
required

Unique identifier of the Pix transfer (UUID format).

Response

Pix transfer details retrieved successfully.

id
string

Transfer unique identifier.

Example:

"019c96a0-0c21-71f9-a487-66a1258278a1"

endToEndId
string

End-to-end identifier.

Example:

"E123456789BR1234567890123456789"

amount
string

Transfer amount in BRL (format 0.00).

Example:

"100.00"

status
enum<string>

Transfer status.

Available options:
CREATED,
PENDING,
PROCESSING,
COMPLETED,
FAILED,
REVERSED
Example:

"COMPLETED"

type
enum<string>

Transfer type.

Available options:
CASHOUT,
CASHIN
Example:

"CASHOUT"

description
string

Optional description or message.

Maximum string length: 140
Example:

"Pix Cashout Transfer"

source
object

Account party (source or destination) information.

destination
object

Account party (source or destination) information.

paymentType
enum<string>

Payment type.

Available options:
IMMEDIATE,
SCHEDULED
Example:

"IMMEDIATE"

initiationType
enum<string>

Initiation type.

Available options:
MANUAL,
KEY,
QR_CODE
Example:

"KEY"

urgency
enum<string>

Transfer urgency.

Available options:
HIGH,
NORMAL
Example:

"HIGH"

purpose
enum<string>

Transaction purpose type. Defaults to TRANSFER.

Available options:
TRANSFER,
INSTANT_PAYMENT_REFUND
Example:

"TRANSFER"

accountId
string

Account identifier (UUID).

Example:

"01989f9e-6508-79f8-9540-835be49fbd0d"

aliasId
string

Alias identifier (UUID).

Example:

"01989f9e-6508-79f8-9540-835be49fbd0e"

initiatedAt
string<date-time>

Initiation timestamp (ISO 8601 UTC).

Example:

"2024-01-15T10:30:00Z"

createdAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

ledger
object

Midaz ledger transaction and operation identifiers.

metadata
object

Custom key-value attributes associated with this transfer. Maximum 50 keys, key max 100 chars, value max 2000 chars.

feeCharge
object

Fee calculation details (if applicable).